--
-- $Id$
--
-- 1. Afdelingen Hago N&M (48), HAGO Zuid (51) en Hago West (50) vervallen
-- Dit betekent contractafdeling, persoonafdeling wijzigen en verwijderen afdelingen
-- en alle objecten van bedrijfsvoorloopauto (key 6) naar bedrijfshuurauto (key 7)
--
-- 2. Alle contracten met een einddatum 31-12-2017 gekoppeld aan
-- een personenhuurauto (2) of bedrijfshuurauto (7) updaten naar einddatum 31-12-2020

DEFINE thisfile = 'VEBE#51398.SQL'
DEFINE dbuser   = '^VEBE'
DEFINE custid   = 'VEBE'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE cnt_contract
   SET prs_afdeling_key_eig = 28
 WHERE cnt_contract_verwijder IS NULL
       AND prs_afdeling_key_eig IN (48, 50, 51);

UPDATE prs_perslid
   SET prs_afdeling_key = 28
 WHERE prs_perslid_verwijder IS NULL AND prs_afdeling_key IN (48, 50, 51);

UPDATE prs_afdeling
   SET prs_afdeling_verwijder = SYSDATE
 WHERE prs_afdeling_key IN (48, 50, 51);

UPDATE cnt_contract
   SET cnt_contract_looptijd_tot = TO_DATE ('31-12-2020', 'DD-MM-YYYY')
 WHERE cnt_contract_key IN
             (SELECT c.cnt_contract_key
                FROM cnt_contract c, cnt_contract_object co
               WHERE cnt_contract_verwijder IS NULL
                     AND c.cnt_contract_key = co.cnt_contract_key
                     AND cnt_contract_looptijd_tot =
                           TO_DATE ('31-12-2017', 'DD-MM-YYYY')
                     AND co.cnt_ins_srtdeel_key IN (2, 7)
                     AND co.cnt_contract_object_verwijder IS NULL);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile